5.3.0-git
2014-10-23

[#9700] Allow sorting of search results
Summary Allow sorting of search results
Queue IMP
Queue Version Git master
Type Enhancement
State Accepted
Priority 2. Medium
Owners
Requester slusarz (at) horde (dot) org
Created 2011-03-23 (1310 days ago)
Due
Updated 2012-08-29 (785 days ago)
Assigned
Resolved
Milestone 5.1
Patch No

History
2012-08-29 12:27:59 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 0c677647ff89005a316e3419cc767154f71d6709
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Jan 17 22:48:25 2012 -0700

     Threading improvements

     [mms] Improved threading performance.
     [mms] Threaded sorts now work in all search mailboxes (Request #9700).
     [mms] Hide deleted now works with threaded mailboxes.

  imp/docs/CHANGES                |    3 +
  imp/lib/Imap/Thread.php         |  182 ------------------------------
  imp/lib/Mailbox.php             |    3 +-
  imp/lib/Mailbox/List.php        |  231 
+++++++++++++++++++++++++++------------
  imp/lib/Mailbox/List/Thread.php |   95 ++++++++++++++++
  imp/lib/Prefs/Sort/Sortpref.php |    1 -
  imp/lib/Search.php              |   44 --------
  imp/lib/Views/ListMessages.php  |   14 ++-
  imp/mailbox-mimp.php            |   23 ++---
  imp/mailbox.php                 |   15 +--
  imp/package.xml                 |    3 +
  imp/thread.php                  |   14 +--
  12 files changed, 291 insertions(+), 337 deletions(-)

http://git.horde.org/horde-git/-/commit/0c677647ff89005a316e3419cc767154f71d6709
2012-08-29 12:27:56 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit a098874a4be4aaecc9826931178588ebef52fdbd
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Jan 17 22:45:39 2012 -0700

     Lock sorting for search mailboxes that can not be guaranteed to 
have a single mailbox

     See Bug #9700

  imp/lib/Mailbox.php             |    4 ++++
  imp/lib/Prefs/Sort/Sortpref.php |    6 +++++-
  imp/lib/Search.php              |   18 ++++++++++++++++--
  3 files changed, 25 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/a098874a4be4aaecc9826931178588ebef52fdbd
2012-01-18 05:57:56 Michael Slusarz Comment #3 Reply to this comment
To make clear, here is what we currently have:
* Sorting for mailboxes that we can always guarantee will only have 
one mailbox (currently, this is the system built-in search queries: 
dynamic view quicksearch, dynamic view filter search, and traditional 
view basic search)

What we need:
* Thread sorting for ALL search mailboxes.
* Sorting for ALL search mailboxes other than those listed above.
2012-01-18 05:56:15 Michael Slusarz Comment #2 Reply to this comment
commit a098874a4be4aaecc9826931178588ebef52fdbd
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Jan 17 22:45:39 2012 -0700

     Lock sorting for search mailboxes that can not be guaranteed to 
have a single mailbox

     See Bug #9700

  imp/lib/Mailbox.php             |    4 ++++
  imp/lib/Prefs/Sort/Sortpref.php |    6 +++++-
  imp/lib/Search.php              |   18 ++++++++++++++++--
  3 files changed, 25 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/a098874a4be4aaecc9826931178588ebef52fdbd
2011-03-23 06:11:23 Michael Slusarz Comment #1
State ⇒ Accepted
Patch ⇒ No
Milestone ⇒ 5.1
Queue ⇒ IMP
Summary ⇒ Allow sorting of search results
Type ⇒ Enhancement
Priority ⇒ 2. Medium
Reply to this comment
Use client-side sorting to sort search results.